Get Goal
Get a single donation goal with progress.
Authorization
API Key x-api-key<token>
API key used for authentication
In: header
Query Parameters
id*string
Goal ID
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/json
curl -X GET "https://loading/api/v1/goal/getById?id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "00000000-0000-0000-0000-000000000000",
"amount": 100000,
"description": "New microphone",
"isTimeBound": false,
"startDate": null,
"endDate": null,
"isCompleted": false,
"completedAt": null,
"isActive": true,
"showOnEmbed": true,
"progress": [
{
"total": 45000,
"currency": "usd"
}
],
"createdAt": "2026-04-11T01:15:19.233Z",
"updatedAt": "2026-04-11T01:15:19.233Z"
}{
"error": "string",
"code": "string",
"details": {}
}